INTERFACE
-better distinction between file manager and playlist
 => file manager should get a different colour and window styles? Or just a
    complete overlay on the entire interface..
-Rename GroupShuffle to Shuffle
-Select a Directory in FM -> add it to the group

BUGS
-make '<' and '>' mixer keys remappable
-fix warnings
-fix colour stuff

IMPORTANT
-Quiting with an unsaved playlist should display a warning (unless one
 explicitly configures it not to, of course)
-Add 'readonly' mode (similar to '%' in mutt), enable it by default, to prevent
 people from accidentally deleting their mp3 collection.
-warn about double keybindings (2 actions to 1 keycode)
-allow 1 action mapped to multiple keycodes
-22Khz vorbis files play too fast?
-save shuffle mode for main group, and playback mode for entire group in
 playlist

SMALL & SIMPLE
-configfile keyword for items in mixer (shortens cycle)
-file search with '/' optionally case-insensitive
-mp3 search in normal mode with '/' too
-jump to dir-entry one came from after going to '..'
-hide 'hidden files' (.??*)

INTERESTING
-ogg streaming (have oggplayer class use soundinputstream)
-implement ID3v2 tag parsing (id3lib.sourceforge.net, www.id3v2.org)
-skip to place in playlist on request.
-FLAC support (flawless audio codec, http://flac.sourceforge.net/)
-make File.ID3Names a sscanf-like pattern that determines *how* id3 names are shown.
-stream preferences (although that's basically just a playlist with groups,
 in which each group contains a stream..)
-fix information display so that it will display information relevant to the
 format being played.
-read/write playlist +save tmp.playlist to continue it later. (partly done)
-'enqueue' mp3's from filemanager (implement as another playlist, do 'previous
 played tracks' in the same way) (aka 'hotkey' playlist)
-when directories are given as final cmdline args, assume recursive search of
 mp3's in that dir.
-F5/F3 in filemanager mode: instead of using currently highlighted dir, check
 if multiple dirs have been selected and use all those dirs to add mp3's instd.
-check existence of files on playlistload (and report status, including
 total time etc)
-'skip to next mp3 and delete this one from list'
-Shout/IceCast .pls support (HTTP streaming works).
-make 'next song' skippable (could be tough, it's not a pointer to a group
 member, but just a const char *..)
-Total playlist time displayed somewhere
-optionally replace all '\''s with '/''s in playlist (to read DOS playlists)
-lower screenwidth/height requirement
-fade cross-over to new song / preload new song before old one ends

LOW PRIORITY
-save session-info (like last dir one was in last time)
-recode layout of code (currently, too much is stuffed in main.cc)
-move all selected files in filemanager to current dir (m) (!)
-clear mpeg-info when songplay's finished.
-file viewer in filemanager.
-rename group->getPlayedmode() to group->randomOrder()
-pulldown menus instead of space-consuming help window/option to hide help
-move copies of getopt.[ch] to a shared dir instead of copying them
